Summary
Save a Generated Form
Description
Save a generated form with its data.
Route
POST /formbuilder/saveForm
Roles
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| formData | object | yes | Form data to be saved. |
{ "formData": { "name": "Form 123", "children": [ { "type": "field", "name": "ipaddress", "properties": { "type": "string", "prefix": "" }, "description": "IP address", "element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}", "source_type": "method", "source": "method_name_1", "id": "a40044c2-f378-4b2b-a81a-41d78979e583", "yangkey": "", "key": "method_name_1.ipAddress" }, { "type": "field", "name": "ipaddress", "properties": { "type": "string", "prefix": "" }, "description": "IP address", "element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}", "source_type": "method", "source": "method_name_1", "id": "a40044c2-f378-4b2b-a81a-41d78979e583", "yangkey": "", "key": "method_name_1.ipAddress" }, { "type": "field", "name": "ipaddress", "properties": { "type": "string", "prefix": "" }, "description": "IP address", "element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}", "source_type": "method", "source": "method_name_1", "id": "a40044c2-f378-4b2b-a81a-41d78979e583", "yangkey": "", "key": "method_name_1.ipAddress" }, { "type": "field", "name": "ipaddress", "properties": { "type": "string", "prefix": "" }, "description": "IP address", "element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}", "source_type": "method", "source": "method_name_1", "id": "a40044c2-f378-4b2b-a81a-41d78979e583", "yangkey": "", "key": "method_name_1.ipAddress" }, { "type": "field", "name": "ipaddress", "properties": { "type": "string", "prefix": "" }, "description": "IP address", "element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}", "source_type": "method", "source": "method_name_1", "id": "a40044c2-f378-4b2b-a81a-41d78979e583", "yangkey": "", "key": "method_name_1.ipAddress" } ], "elements": [ { "type": "method", "id": { "name": "method_name_1" } } ], "_id": "5d54d6f7-fdc4-1102-07d7-99461487384b", "groups": [ "6f2f4e2ec8fe47dbca76e5cc", "f20234d73737d73b16083d15", "d2e9266fb8be5660fcb4cf30", "61ba583d5365698468d87fef" ], "created": "2003-06-29T21:22:01.376Z", "created_by": "3f184a6589ff8a3cfd9aad39", "last_updated": "1978-08-14T15:08:09.26Z", "last_updated_by": "686153a86e6afd64d533d9f6" } }
{ "type": "object", "properties": { "formData": { "title": "formData", "$ref": "formDocument" } }, "required": [ "formData" ], "additionalProperties": false }
Return
| Name | Type | Description |
|---|---|---|
| reply | object | Status of save form |
{ "name": "Form 123", "children": [ { "type": "field", "name": "ipaddress", "properties": { "type": "string", "prefix": "" }, "description": "IP address", "element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}", "source_type": "method", "source": "method_name_1", "id": "a40044c2-f378-4b2b-a81a-41d78979e583", "yangkey": "", "key": "method_name_1.ipAddress" }, { "type": "field", "name": "ipaddress", "properties": { "type": "string", "prefix": "" }, "description": "IP address", "element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}", "source_type": "method", "source": "method_name_1", "id": "a40044c2-f378-4b2b-a81a-41d78979e583", "yangkey": "", "key": "method_name_1.ipAddress" }, { "type": "field", "name": "ipaddress", "properties": { "type": "string", "prefix": "" }, "description": "IP address", "element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}", "source_type": "method", "source": "method_name_1", "id": "a40044c2-f378-4b2b-a81a-41d78979e583", "yangkey": "", "key": "method_name_1.ipAddress" }, { "type": "field", "name": "ipaddress", "properties": { "type": "string", "prefix": "" }, "description": "IP address", "element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}", "source_type": "method", "source": "method_name_1", "id": "a40044c2-f378-4b2b-a81a-41d78979e583", "yangkey": "", "key": "method_name_1.ipAddress" }, { "type": "field", "name": "ipaddress", "properties": { "type": "string", "prefix": "" }, "description": "IP address", "element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}", "source_type": "method", "source": "method_name_1", "id": "a40044c2-f378-4b2b-a81a-41d78979e583", "yangkey": "", "key": "method_name_1.ipAddress" } ], "elements": [ { "type": "method", "id": { "name": "method_name_1" } } ], "_id": "d49b60ea-71ed-5056-ebdf-b285a1cf798d", "groups": [ "9f7335d7aa49ba2569da5cfd", "64e1a900179238b1f7528afd" ], "created": "2008-12-15T05:27:29.182Z", "created_by": "b342c64ed450c5f459d855f3", "last_updated": "1999-01-27T17:20:59.668Z", "last_updated_by": "59cd413220b250aa5bd579f4" }
{ "title": "reply", "$ref": "formDocument" }